# X-NUCLEO-IKA01A1

Multifunctional expansion board based on operational amplifiers.
The X-NUCLEO-IKA01A1 is a multifunctional expansion board based on STMicroelectronics operational amplifiers.
It provides an affordable and easy-to-use solution for various use cases with your STM32 Nucleo board. 
The X-NUCLEO-IKA01A1 is compatible with the Arduino™ UNO R3 connector, and supports the addition of other boards 
that can be stacked for enhanced applications with an STM32 Nucleo board. It can be used as an analog front-end 
by conditioning signals as actuator to drive LEDs or coils, or in a comparator architecture.
Thanks to its current-sensing configuration, it allows current measurement of any device that has a Micro-USB port. 
A highly accurate TSZ124 Micropower operational amplifier is used for this configuration as well as for that of 
the instrumentation amplifier. The expansion board also contains a TSU104 Nanopower op-amp and a TSV734 Micropower 
op-amp for mobile applications.

Key Features:
* 7 predefined configurations:
* Instrumentation amplifier structure
* Current sensing with or without USB
* Photodiode/ultraviolet (UV) current sensing
* Buffer
* Full wave rectifier
* Constant current LED driver
* Window comparator
* One prototyping area
* Compatible with STM32 Nucleo boards
* Comprehensive free development firmware library (X-CUBE-ANALOG1)
* Powered through the Arduino UNO connectors
* RoHS compliant

# Examples

* X_NUCLEO_IKA01A1_HelloWorld: This application provides a simple example of usage of the X-NUCLEO-IKA01A1 

## Documentation

You can find the source files at  
https://github.com/stm32duino/X-NUCLEO-IKA01A1

The TSU104 datasheet is available at  
http://www.st.com/content/st_com/en/products/amplifiers-and-comparators/operational-amplifiers-op-amps/precision-op-amps-lt50-mhz/low-power-op-amps-lt1-ma/tsu104.htm

The TSV734 datasheet is available at  
http://www.st.com/content/st_com/en/products/amplifiers-and-comparators/operational-amplifiers-op-amps/precision-op-amps-lt50-mhz/low-power-op-amps-lt1-ma/tsv734.html